
Redmine - Defect #13085

Error when updating an issue

2013-02-05 15:44 - David Ruty

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.4.0

Description

Hello,

Before all, thanks for your good job, Redmine is just usefull and perfect for us.

When we're trying to update an issue with cUrl (or in Delphi), we have an HTTP 500 ERROR :

Processing IssuesController#update to xml (for 192.168.99.254 at 2013-02-05 14:51:49) [PUT]

  Parameters: {"id"=>"2158", "issue"=>{"subject"=>"KAKAROOT"}, "format"=>"xml", "action"=>"update"

, "controller"=>"issues"}

NoMethodError (undefined method `[]' for nil:NilClass):

  config/initializers/mongrel_cluster_with_rails_211_fix.rb:62:in `dispatch_cgi'

Rendering F:/REDMINE/apps/redmine/public/500.html (500 Internal Server Error)

 We tried application/xml or text/xml, problem is the same

curl.exe -v -H "Content-Type: text/xml" -X PUT --data "@toto1.xml" -H "X-Redmine-API-Key:xxxxxxxxx

x" http://xxxxxxxx/redmine/issues/2158.xml

 File :

<issue>

  <subject>CASTOR_MAJOR</subject>

</issue>

 Creating an issue works very well...

Thanks for your help,

History

#1 - 2013-02-05 15:45 - David Ruty

We're in a Windows env, with MySQL and Apache (Bitnami Redmine Stack) 1.4.

Thanks,

#2 - 2013-02-06 12:53 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

This is an incompatibility with Mongrel fix (mongrel_cluster_with_rails_211_fix.rb) which is not part of Redmine release, so please post your question

in forum.

#3 - 2013-02-06 15:02 - David Ruty

Hello,

I found the problem : it was caused by spend_time_required plugin :
https://github.com/TeamRocketScience/redmine_spent_time_required/issues/2

Thanks for all,
